#!/bin/bash

#LD_LIBRARY_PATH=opt/spark/lib/simspark
#AGENT_BINARY=L3M_rcssagent3d
#AGENT_BINARY=rcssagent3d
AGENT_BINARY=rcssagent3d-L3M-SIM

#BINARY_DIR=/home/bt/Robocup2011/SIMU/RobocupTurkey2011/rcssagent3d/build
#BINARY_DIR=/home/n/rcup/sim-2011/rcssagent3d/build
BINARY_DIR=/home/l3m-sim/
#BINARY_DIR=/home/l3msim

NUM_PLAYERS=9
SERVER_IP=127.0.0.1

if [ "$#" = "1" ]; then
  SERVER_IP=$1
fi

killall -9 $AGENT_BINARY &> /dev/null

#export LD_LIBRARY_PATH=/usr/local/lib/simspark:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=/usr/lib64/simspark:$LD_LIBRARY_PATH

for ((i=1;i<=$NUM_PLAYERS;i++)); do
    echo "Running agent No. $i"
    "$BINARY_DIR/$AGENT_BINARY" --host=$SERVER_IP --num=$i --llc=$NUM_PLAYERS --side=0 > /dev/null 2> /dev/null &
    sleep 2
done
